ECHO OFF
IF "%1"=="" goto help
IM /P%1 /VR /NE /b %2 %3 %4
IF ERRORLEVEL 128 GOTO FAILURE
IF ERRORLEVEL 64 GOTO VIRUS
IF NOT ERRORLEVEL 24 GOTO DONE
ECHO IM found a possible problem
GOTO DONE
:Help
ECHO ÿ
ECHO The syntax is "IMSCAND C:\dir"
ECHO   where "c:\dir" specify the disk (optional) and directory you want to scan
ECHO ÿ
GOTO Exit
:Failure
ECHO IM unable to execute
GOTO EXIT
:VIRUS
ECHO IM found signs of a virus
:DONE
ECHO IM asked to scan directory %1
:Exit
